#ifdef GL_ES
precision mediump float;
#endif


varying vec2 v_texCoord;
uniform sampler2D u_texture;
uniform vec4 u_maskingColor;
uniform bool u_shouldColor;
void main()
{
    vec4 bgColor=texture2D(u_texture, v_texCoord);
   if (u_shouldColor && bgColor.a>0.0)
        bgColor=u_maskingColor;
    gl_FragColor = bgColor;
}